package chocolate;

public class ChocolateBoiler {

	private static ChocolateBoiler uniqueInstance;
	private boolean empty;
	private boolean boiled;

	private ChocolateBoiler() {
		empty = true;
		boiled = false;
	}
	
	public static synchronized ChocolateBoiler getInstance() {
		if(uniqueInstance == null)
			uniqueInstance = new ChocolateBoiler();
		return uniqueInstance;
	}

	public boolean fill() {
		if (isEmpty()) {
			empty = false;
			boiled = false;
			// pour in milk chocolate mixture
			return true;
		}
		return false;
	}

	public boolean boil() {
		if (!isEmpty() && !isBoiled()) {
			// boil the content
			boiled = true;
			return true;
		}
		return false;
	}

	public boolean drain() {
		if (!isEmpty() && isBoiled()) {
			// drain the content
			empty = true;
			return true;
		}
		return false;
	}

	public boolean isEmpty() {
		return empty;
	}

	public boolean isBoiled() {
		return boiled;
	}
}
